Bug 890246

Summary: munin has an incorrect entry in its logrotate files
Product: [Fedora] Fedora EPEL Reporter: manuel wolfshant <wolfy>
Component: muninAssignee: Kevin Fenzi <kevin>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: drjohnson1, ingvar, kevin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 890247 (view as bug list) Environment:
Last Closed: 2013-01-20 03:04:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 890247    

Description manuel wolfshant 2012-12-26 03:22:11 UTC
Description of problem:
Since munin-2.0.8-3, the logrotate entries contain the following line 
           su root root   
This is not a valid logrotate directive and due to that, logrotate gives the following error
[root@mail ~]# /usr/sbin/logrotate /etc/logrotate.conf
error: munin-node:9 unknown option 'su' -- ignoring line
error: munin-node:9 unexpected text

Version-Release number of selected component (if applicable):
munin-2.0.8-3 and later

How reproducible:
always

Steps to Reproduce:
1. install munin-2.0.8-3 or later
2. run logrotate
3. watch the errors as seen on screen or sent by email

  
Actual results:
[root@mail ~]# /usr/sbin/logrotate /etc/logrotate.conf
error: munin-node:9 unknown option 'su' -- ignoring line
error: munin-node:9 unexpected text


Expected results:
no error message


Additional info:

Comment 1 Fedora Update System 2013-01-09 19:38:28 UTC
munin-2.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el5

Comment 2 Fedora Update System 2013-01-09 19:39:33 UTC
munin-2.0.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el6

Comment 3 Fedora Update System 2013-01-09 19:41:25 UTC
munin-2.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc16

Comment 4 Fedora Update System 2013-01-09 19:42:48 UTC
munin-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc17

Comment 5 Fedora Update System 2013-01-09 19:43:59 UTC
munin-2.0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc18

Comment 6 Fedora Update System 2013-01-10 21:31:49 UTC
Package munin-2.0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0593/munin-2.0.10-1.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-01-20 03:04:08 UTC
munin-2.0.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-01-22 03:40:38 UTC
munin-2.0.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-01-23 01:46:04 UTC
munin-2.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-23 01:49:01 UTC
munin-2.0.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-29 20:05:12 UTC
munin-2.0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.